function [x]=hilb(n)
%hilb create Hilbert matrix (a badly conditioned matrix)

%       S.Halevy 7/31/92
%       Copyright (c) 1992 by the MathWizards

x=1:n;               % index row
x=x(ones(n,1),:);    % smear rows
x=1 ./ (x + x.' - 1);
